from math import sqrt
from functools import lru_cache

def mmult(i):
    a = 1
    for k in i:
        a *= int(k)
    return a

def is_simple(i):
    i = mmult(i)
    if i > 1:
        for j in range(2,int(sqrt(i)) + 1):
            if i % j == 0:
                return False
        else:
            return True
@lru_cache(128)
def main():
    l = input()
    r = input()
    coun = 0
    for i in range(int(l), int(r) + 1):
        i = str(i)
        if '0' in i or i.count('1') == len(i):
            continue
        elif is_simple(i):
            coun+=1
    print(coun)

if __name__=='__main__':
    main()

